#ifdef GL_ES
precision mediump float;
#endif
varying vec2 v_texCoord;

void main()
{
    vec2 uv = v_texCoord;
    uv.y = 1. - uv.y;
    
    vec4 retCol = texture2D(CC_Texture0, v_texCoord);
    vec2 center = vec2(CC_Time[0]*4.-1.6,0);
    uv = uv - center;
    
    float a = 1.;
    float b = 1.;
    float c = 0.;
    float w = 0.07;
    
    
    float ap = abs(a*uv.x + b*uv.y + c);
    float ran = 1. - smoothstep(w-.004,w+.004,ap);
    retCol = retCol*(1.-ran) + retCol*vec4(3.)*ran*retCol.a;
    
    
    w = 0.02;
    uv += 0.1;
    ap = abs(a*uv.x + b*uv.y + c);
    ran = 1. - smoothstep(w-.004,w+.004,ap);
    retCol = retCol*(1.-ran) + retCol*vec4(2.)*ran*retCol.a;
    
    gl_FragColor = retCol;
}